POST api/pcconfigapi/addMany?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "3928847e-7a66-4b4d-878a-1cda37b56c19",
"key": "17de98ac-f2ab-4fb6-977a-9c7e48aa942c",
"pc_id": "7576a525-2e9c-4c3f-a8e1-1b26b6bcf4d3",
"value": "sample string 3"
},
{
"active": true,
"id": "3928847e-7a66-4b4d-878a-1cda37b56c19",
"key": "17de98ac-f2ab-4fb6-977a-9c7e48aa942c",
"pc_id": "7576a525-2e9c-4c3f-a8e1-1b26b6bcf4d3",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>3928847e-7a66-4b4d-878a-1cda37b56c19</id>
<key>17de98ac-f2ab-4fb6-977a-9c7e48aa942c</key>
<pc_id>7576a525-2e9c-4c3f-a8e1-1b26b6bcf4d3</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>3928847e-7a66-4b4d-878a-1cda37b56c19</id>
<key>17de98ac-f2ab-4fb6-977a-9c7e48aa942c</key>
<pc_id>7576a525-2e9c-4c3f-a8e1-1b26b6bcf4d3</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.